Bug 61394 - FILESAVE: [Template Manager]Accept button label should be 'OK' to be consistent with other dialogs
Summary: FILESAVE: [Template Manager]Accept button label should be 'OK' to be consiste...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: Other All
: medium normal
Assignee: Rafael Dominguez
URL:
Whiteboard: BSA target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-24 11:42 UTC by pierre-yves samyn
Modified: 2013-04-21 09:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2013-02-24 11:42:31 UTC
Hello

Input boxes (name of a new template, a new folder) include buttons Accept / Cancel.

1. This is not consistent with other dialogs: Ok expected
2. It is odd to accept something that I propose

Regards
Pierre-Yves
Operating System: All
Version: 4.0.1.1 rc
Comment 1 Jacques Guilleron 2013-02-24 15:22:02 UTC
I agree. LO 4.0.1.1 Windows 7 Home Premium

Jacques Guilleron
Comment 2 Adolfo Jayme 2013-03-07 18:36:56 UTC
(In reply to comment #0)
> 2. It is odd to accept something that I propose

Not in Spanish, where the “OK” action button is translated as “Aceptar” (the one that “accepts” your command or input is the computer, not the user; does that make sense to you?). As Spanish is the native language of the new template manager’s developer, I guess that’s the reason why the OK button was labeled “Accept”.
Comment 3 Rafael Dominguez 2013-03-09 18:19:29 UTC
Your totally right, this should be changed to be consistent with the rest of the dialogs.
Comment 4 pierre-yves samyn 2013-03-10 11:46:55 UTC
Hello

(In reply to comment #2)
 
> Not in Spanish, where the “OK” action button is translated as “Aceptar” 

Have you noticed that my request is for the English version?

It goes without saying that the button labels must be translated into localized versions...

Regards
Pierre-Yves
Comment 5 Commit Notification 2013-03-11 09:21:09 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fe8c0140743d1f50c54e2898627608f6383ccf2

fdo#61394 Change Template Manager Accept button label to OK.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 pierre-yves samyn 2013-04-21 09:57:40 UTC
Hello

WORKSFORME with windows 7 64bits &
Version: 4.1.0.0.alpha0+
Build ID: fa72fc3eddbfabb82193452a4ba993b11d1584d
TinderBox: Win-x86@6, Branch:master, Time: 2013-04-18_23:11:53

(for the record not ok with Version 4.0.3.1 (Build ID: a67943cd4d125208f4ea7fa29439551825cfb39))

Thank you
Regards
Pierre-Yves